## telegram-cli is not on these architectures
## Upstream issue on https://github.com/vysheng/tg/issues/239
ExcludeArch: ppc64 s390x

%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%global python2_version 2.6
%global with_python3 0
%global pypi_name pytg
%else
%global with_python3 1
%global pypi_name pytg
%endif

%if 0%{?fedora}
%global with_python3 1
%global pypi_name pytg
%endif

## Make python?_shortver macros
%{!?python3_shortver: %global python3_shortver %(%{__python3} -c 'import sys; print(str(sys.version_info.major) + "." + str(sys.version_info.minor))')}

Name:           python-%{pypi_name}
Version:        0.4.10
Release:        3%{?dist}
Summary:        Python package that communicates with the Telegram CLI

License:        BSD
URL:            https://github.com/luckydonald/%{pypi_name}
Source0:        https://github.com/luckydonald/%{pypi_name}/archive/v%{version}.tar.gz#/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
Requires:       telegram-cli

%description
A Python package that communicates with the Telegram messenger CLI,
to send and receive messages and more.

%package -n     python2-%{pypi_name}
Summary:        Python package that communicates with the Telegram CLI
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
A Python package that communicates with the Telegram messenger CLI,
to send and receive messages and more.

%if 0%{?with_python3}
%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        Python package that communicates with the Telegram CLI
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
Requires:       telegram-cli
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
A Python package that communicates with the Telegram messenger CLI,
to send and receive messages and more.
%endif

%prep
%setup -q -n %{pypi_name}-%{version}
sed -i 's/\r$//' README.md

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install
find %{buildroot}%{python2_sitelib}/%{pypi_name} -name 'test.py' | xargs sed -i '1s|^#!/usr/bin/env python|#!%{__python2}|'
chmod a+x %{buildroot}%{python2_sitelib}/%{pypi_name}/test.py

%if 0%{?with_python3}
%py3_install
find %{buildroot}%{python3_sitelib}/%{pypi_name} -name 'test.py' | xargs sed -i '1s|^#!/usr/bin/env python|#!%{__python3}|'
chmod a+x %{buildroot}%{python3_sitelib}/%{pypi_name}/test.py
%endif

%files -n python2-%{pypi_name}
%doc *.md
%license LICENSE
%{python2_sitelib}/%{pypi_name}/
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-%{pypi_name}
%doc *.md
%license LICENSE
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif

%changelog
* Sun Nov 06 2016 Antonio Trande <sagitterATfedoraproject.org> - 0.4.10-3
- Exclude ppc64 s390x for dependence

* Wed Aug 17 2016 Antonio Trande <sagitterATfedoraproject.org> - 0.4.10-2
- Rebuild for Python 3.5.2

* Thu Jul 28 2016 Antonio Trande <sagitterATfedoraproject.org> - 0.4.10-1
- Initial package.
